Skip to main content
POST
/
api
/
checks
Create Check
curl --request POST \
  --url https://app.sphinxhq.com/api/checks/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "case_id": 123,
  "check_type": "UBO_RESOLUTION",
  "input_details": {},
  "document_ids": [
    123
  ],
  "delete_after": 123
}
'
{
  "case_id": 123,
  "check_type": "PEP",
  "input_details": {
    "person_name": "Mustafa Nüvit Özkan",
    "match_type": "Exact name match",
    "institution_type": "International Representatives",
    "position": "Honorary Consul",
    "country": "Turkey",
    "nationality": "Norway",
    "source": "1. Turkey Foreign Diplomatic Missions - Norway",
    "source_url": "https://cd.mfa.gov.tr/mission/mission-list?clickedId=3"
  }
}

Authorizations

Authorization
string
header
required

OAuth2 access token obtained from POST /api/oauth/token/ using client credentials.

Body

Write serializer for Check creation.

case_id
integer
required

ID of the case for this check

check_type
enum<string> | null
  • UBO_RESOLUTION - UBO Resolution
  • SIGNING_AUTHORITY - Signing Authority
  • BANK_STATEMENT - Bank Statements
  • BALANCE_SHEETS - Balance Sheets
  • INCOME_STATEMENTS - Income Statements
  • TAX_DOCUMENTS - Tax Documents
  • AUTHORIZATION_FORM - Authorization Form
  • ARTICLES_OF_ASSOCIATION - Articles of Association
  • COMMERCIAL_EXTRACT - Commercial Extract
  • ONBOARDING_FORM - Onboarding Form
  • SHAREHOLDER_LIST - Shareholder List
  • EDD_QUESTIONNAIRE - Enhanced Due Diligence Questionnaire
  • USER_RISK_REPORT - User Risk Report
  • INCORPORATION_DOCUMENT - Incorporation Document
  • MEETING_MINUTES - Meeting Minutes
  • PROOF_OF_IDENTITY - Proof of Identity
  • SOURCE_OF_FUNDS - Source of Funds
  • NAME_CHECK - Name Check
  • PROOF_OF_ADDRESS - Proof of Address
  • RDC_VERIFICATION - RDC Verification
  • KYB_PROOF_OF_IDENTITY - Proof of Identity
  • KYB_BANK_STATEMENT - Bank Statements
  • KYB_PROOF_OF_ADDRESS - Proof of Address
  • KYB_TAX_DOCUMENTS - Tax Documents
  • CLEAN_SCREENING - Clean Screening
  • CRA - Customer Risk Assessment
  • WEB_PRESENCE - Web Presence
  • FINANCIAL_LICENSE - Financial License
  • AML_POLICY - AML Policy Documents
  • WOLFSBERG_QUESTIONNAIRE - Wolfsberg Questionnaire
  • PEP - PEP
  • SANCTIONS - Sanctions
  • ADVERSE_MEDIA - Adverse Media
  • BLACKLIST - Blacklist
  • MULTI_WATCHLIST - Multi-Watchlist
  • PEP_SEARCH - PEP Search
  • SANCTIONS_SEARCH - Sanctions Search
  • ADVERSE_MEDIA_SEARCH - Adverse Media Search
  • BLACKLIST_SEARCH - Blacklist Search
  • DOCUMENT_FRAUD - Document Fraud
  • TM_CRYPTO - Transaction Monitoring (Crypto)
  • TM_CLASSIC - Transaction Monitoring (Classic)
  • IDV - IDV
  • TRANSACTION_MONITORING - Transaction Monitoring
  • INFO_BLOCK - Information
Available options:
UBO_RESOLUTION,
SIGNING_AUTHORITY,
BANK_STATEMENT,
BALANCE_SHEETS,
INCOME_STATEMENTS,
TAX_DOCUMENTS,
AUTHORIZATION_FORM,
ARTICLES_OF_ASSOCIATION,
COMMERCIAL_EXTRACT,
ONBOARDING_FORM,
SHAREHOLDER_LIST,
EDD_QUESTIONNAIRE,
USER_RISK_REPORT,
INCORPORATION_DOCUMENT,
MEETING_MINUTES,
PROOF_OF_IDENTITY,
SOURCE_OF_FUNDS,
NAME_CHECK,
PROOF_OF_ADDRESS,
RDC_VERIFICATION,
KYB_PROOF_OF_IDENTITY,
KYB_BANK_STATEMENT,
KYB_PROOF_OF_ADDRESS,
KYB_TAX_DOCUMENTS,
CLEAN_SCREENING,
CRA,
WEB_PRESENCE,
FINANCIAL_LICENSE,
AML_POLICY,
WOLFSBERG_QUESTIONNAIRE,
PEP,
SANCTIONS,
ADVERSE_MEDIA,
BLACKLIST,
MULTI_WATCHLIST,
PEP_SEARCH,
SANCTIONS_SEARCH,
ADVERSE_MEDIA_SEARCH,
BLACKLIST_SEARCH,
DOCUMENT_FRAUD,
TM_CRYPTO,
TM_CLASSIC,
IDV,
TRANSACTION_MONITORING,
INFO_BLOCK,
,
null
input_details
object

Flexible JSON format. No customer details may be present here.

document_ids
integer[]

List of document IDs to link to this check

delete_after
integer

Number of days until deletion. Use 0 for immediate deletion, or -1 for indefinite retention. Defaults to -1.

Response

201 - application/json

Read-only serializer for Check with related objects.

id
integer
required
case
object
required

Nested case serializer for Check responses.

risk_score
number<double> | null
required

Risk score (total or average of CRA field scores, depending on aggregation method).

title
string | null
required

Short title generated by the check. For a watchlist hit, this typically corresponds to the name of the hit indvidual.

note
string | null
required

1-2 paragraph case note for audit purposes, Markdown format

reasoning
string[] | null
required

Detailed reasoning steps, in Markdown. More comprehensive than the note.

outcome
enum<string> | null
required

The agent's decision.

  • ACCEPTED - Accepted
  • REJECTED - Rejected
  • PENDING - Pending
Available options:
ACCEPTED,
REJECTED,
PENDING,
null
status
enum<string>
required
  • PENDING - Pending
  • DECIDING - Deciding
  • DECIDED - Decided
  • SUBMITTED - Submitted
  • SKIPPED - Skipped
  • ERROR - Error
Available options:
PENDING,
DECIDING,
DECIDED,
SUBMITTED,
SKIPPED,
ERROR
created_at
string<date-time>
required
updated_at
string<date-time>
required
input_details
object

Flexible JSON format. For example, for a sanctions hit, this would include the name, date of birth, etc of the watchlist individual. Absolutely no customer details may be present here.

check_type
enum<string> | null
  • UBO_RESOLUTION - UBO Resolution
  • SIGNING_AUTHORITY - Signing Authority
  • BANK_STATEMENT - Bank Statements
  • BALANCE_SHEETS - Balance Sheets
  • INCOME_STATEMENTS - Income Statements
  • TAX_DOCUMENTS - Tax Documents
  • AUTHORIZATION_FORM - Authorization Form
  • ARTICLES_OF_ASSOCIATION - Articles of Association
  • COMMERCIAL_EXTRACT - Commercial Extract
  • ONBOARDING_FORM - Onboarding Form
  • SHAREHOLDER_LIST - Shareholder List
  • EDD_QUESTIONNAIRE - Enhanced Due Diligence Questionnaire
  • USER_RISK_REPORT - User Risk Report
  • INCORPORATION_DOCUMENT - Incorporation Document
  • MEETING_MINUTES - Meeting Minutes
  • PROOF_OF_IDENTITY - Proof of Identity
  • SOURCE_OF_FUNDS - Source of Funds
  • NAME_CHECK - Name Check
  • PROOF_OF_ADDRESS - Proof of Address
  • RDC_VERIFICATION - RDC Verification
  • KYB_PROOF_OF_IDENTITY - Proof of Identity
  • KYB_BANK_STATEMENT - Bank Statements
  • KYB_PROOF_OF_ADDRESS - Proof of Address
  • KYB_TAX_DOCUMENTS - Tax Documents
  • CLEAN_SCREENING - Clean Screening
  • CRA - Customer Risk Assessment
  • WEB_PRESENCE - Web Presence
  • FINANCIAL_LICENSE - Financial License
  • AML_POLICY - AML Policy Documents
  • WOLFSBERG_QUESTIONNAIRE - Wolfsberg Questionnaire
  • PEP - PEP
  • SANCTIONS - Sanctions
  • ADVERSE_MEDIA - Adverse Media
  • BLACKLIST - Blacklist
  • MULTI_WATCHLIST - Multi-Watchlist
  • PEP_SEARCH - PEP Search
  • SANCTIONS_SEARCH - Sanctions Search
  • ADVERSE_MEDIA_SEARCH - Adverse Media Search
  • BLACKLIST_SEARCH - Blacklist Search
  • DOCUMENT_FRAUD - Document Fraud
  • TM_CRYPTO - Transaction Monitoring (Crypto)
  • TM_CLASSIC - Transaction Monitoring (Classic)
  • IDV - IDV
  • TRANSACTION_MONITORING - Transaction Monitoring
  • INFO_BLOCK - Information
Available options:
UBO_RESOLUTION,
SIGNING_AUTHORITY,
BANK_STATEMENT,
BALANCE_SHEETS,
INCOME_STATEMENTS,
TAX_DOCUMENTS,
AUTHORIZATION_FORM,
ARTICLES_OF_ASSOCIATION,
COMMERCIAL_EXTRACT,
ONBOARDING_FORM,
SHAREHOLDER_LIST,
EDD_QUESTIONNAIRE,
USER_RISK_REPORT,
INCORPORATION_DOCUMENT,
MEETING_MINUTES,
PROOF_OF_IDENTITY,
SOURCE_OF_FUNDS,
NAME_CHECK,
PROOF_OF_ADDRESS,
RDC_VERIFICATION,
KYB_PROOF_OF_IDENTITY,
KYB_BANK_STATEMENT,
KYB_PROOF_OF_ADDRESS,
KYB_TAX_DOCUMENTS,
CLEAN_SCREENING,
CRA,
WEB_PRESENCE,
FINANCIAL_LICENSE,
AML_POLICY,
WOLFSBERG_QUESTIONNAIRE,
PEP,
SANCTIONS,
ADVERSE_MEDIA,
BLACKLIST,
MULTI_WATCHLIST,
PEP_SEARCH,
SANCTIONS_SEARCH,
ADVERSE_MEDIA_SEARCH,
BLACKLIST_SEARCH,
DOCUMENT_FRAUD,
TM_CRYPTO,
TM_CLASSIC,
IDV,
TRANSACTION_MONITORING,
INFO_BLOCK,
,
null
delete_after
integer

Days until deletion. -1 means never delete.

Required range: -2147483648 <= x <= 2147483647